Changeset 994 for trunk/configure


Ignore:
Timestamp:
Apr 23, 2007 8:38:46 PM (13 years ago)
Author:
andreasw
Message:

reran autotools; added support for WSMP (--with-wsmp as configure option)

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/configure

    r915 r994  
    42144214          ifort* | */ifort* | IFORT* | */IFORT* )
    42154215            coin_opt_fflags='-O3'
    4216             coin_add_fflags='-nologo -MT'
     4216            coin_add_fflags='-fpp -nologo -MT'
    42174217            coin_dbg_fflags='-debug'
    42184218          ;;
     
    57075707
    57085708
    5709 unset ac_cv_file__________libtool
    5710 unset ac_cv_file_______libtool
    5711 unset ac_cv_file____libtool
    5712 
    57135709LIBTOOL=
    5714 echo "$as_me:$LINENO: checking for ../libtool" >&5
    5715 echo $ECHO_N "checking for ../libtool... $ECHO_C" >&6
    5716 if test "${ac_cv_file____libtool+set}" = set; then
    5717   echo $ECHO_N "(cached) $ECHO_C" >&6
    5718 else
    5719   test "$cross_compiling" = yes &&
    5720   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5721 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5722    { (exit 1); exit 1; }; }
    5723 if test -r "../libtool"; then
    5724   ac_cv_file____libtool=yes
    5725 else
    5726   ac_cv_file____libtool=no
    5727 fi
    5728 fi
    5729 echo "$as_me:$LINENO: result: $ac_cv_file____libtool" >&5
    5730 echo "${ECHO_T}$ac_cv_file____libtool" >&6
    5731 if test $ac_cv_file____libtool = yes; then
     5710if test -r ../libtool; then
    57325711  coin_config_dir=..
    5733                LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    5734 fi
    5735 
     5712  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
     5713fi
    57365714if test "x$LIBTOOL" = x; then
    5737   echo "$as_me:$LINENO: checking for ../../libtool" >&5
    5738 echo $ECHO_N "checking for ../../libtool... $ECHO_C" >&6
    5739 if test "${ac_cv_file_______libtool+set}" = set; then
    5740   echo $ECHO_N "(cached) $ECHO_C" >&6
    5741 else
    5742   test "$cross_compiling" = yes &&
    5743   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5744 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5745    { (exit 1); exit 1; }; }
    5746 if test -r "../../libtool"; then
    5747   ac_cv_file_______libtool=yes
    5748 else
    5749   ac_cv_file_______libtool=no
    5750 fi
    5751 fi
    5752 echo "$as_me:$LINENO: result: $ac_cv_file_______libtool" >&5
    5753 echo "${ECHO_T}$ac_cv_file_______libtool" >&6
    5754 if test $ac_cv_file_______libtool = yes; then
    5755   coin_config_dir=../..
    5756                  LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
    5757 fi
    5758 
    5759 fi
    5760 # if test "x$LIBTOOL" = x; then
    5761 #   AC_CHECK_FILE([../../../libtool],
    5762 #                 [coin_config_dir=../../..
    5763 #                  LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
    5764 # fi
     5715  if test -r ../../libtool; then
     5716    coin_config_dir=../..
     5717    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     5718  fi
     5719fi
    57655720
    57665721if test "x$LIBTOOL" = x; then
     
    63156270*-*-irix6*)
    63166271  # Find out which ABI we are using.
    6317   echo '#line 6317 "configure"' > conftest.$ac_ext
     6272  echo '#line 6272 "configure"' > conftest.$ac_ext
    63186273  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    63196274  (eval $ac_compile) 2>&5
     
    82798234   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82808235   -e 's:$: $lt_compiler_flag:'`
    8281    (eval echo "\"\$as_me:8281: $lt_compile\"" >&5)
     8236   (eval echo "\"\$as_me:8236: $lt_compile\"" >&5)
    82828237   (eval "$lt_compile" 2>conftest.err)
    82838238   ac_status=$?
    82848239   cat conftest.err >&5
    8285    echo "$as_me:8285: \$? = $ac_status" >&5
     8240   echo "$as_me:8240: \$? = $ac_status" >&5
    82868241   if (exit $ac_status) && test -s "$ac_outfile"; then
    82878242     # The compiler can only warn and ignore the option if not recognized
     
    85478502   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85488503   -e 's:$: $lt_compiler_flag:'`
    8549    (eval echo "\"\$as_me:8549: $lt_compile\"" >&5)
     8504   (eval echo "\"\$as_me:8504: $lt_compile\"" >&5)
    85508505   (eval "$lt_compile" 2>conftest.err)
    85518506   ac_status=$?
    85528507   cat conftest.err >&5
    8553    echo "$as_me:8553: \$? = $ac_status" >&5
     8508   echo "$as_me:8508: \$? = $ac_status" >&5
    85548509   if (exit $ac_status) && test -s "$ac_outfile"; then
    85558510     # The compiler can only warn and ignore the option if not recognized
     
    86518606   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86528607   -e 's:$: $lt_compiler_flag:'`
    8653    (eval echo "\"\$as_me:8653: $lt_compile\"" >&5)
     8608   (eval echo "\"\$as_me:8608: $lt_compile\"" >&5)
    86548609   (eval "$lt_compile" 2>out/conftest.err)
    86558610   ac_status=$?
    86568611   cat out/conftest.err >&5
    8657    echo "$as_me:8657: \$? = $ac_status" >&5
     8612   echo "$as_me:8612: \$? = $ac_status" >&5
    86588613   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86598614   then
     
    1099610951  lt_status=$lt_dlunknown
    1099710952  cat > conftest.$ac_ext <<EOF
    10998 #line 10998 "configure"
     10953#line 10953 "configure"
    1099910954#include "confdefs.h"
    1100010955
     
    1109611051  lt_status=$lt_dlunknown
    1109711052  cat > conftest.$ac_ext <<EOF
    11098 #line 11098 "configure"
     11053#line 11053 "configure"
    1109911054#include "confdefs.h"
    1110011055
     
    1344013395   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1344113396   -e 's:$: $lt_compiler_flag:'`
    13442    (eval echo "\"\$as_me:13442: $lt_compile\"" >&5)
     13397   (eval echo "\"\$as_me:13397: $lt_compile\"" >&5)
    1344313398   (eval "$lt_compile" 2>conftest.err)
    1344413399   ac_status=$?
    1344513400   cat conftest.err >&5
    13446    echo "$as_me:13446: \$? = $ac_status" >&5
     13401   echo "$as_me:13401: \$? = $ac_status" >&5
    1344713402   if (exit $ac_status) && test -s "$ac_outfile"; then
    1344813403     # The compiler can only warn and ignore the option if not recognized
     
    1354413499   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1354513500   -e 's:$: $lt_compiler_flag:'`
    13546    (eval echo "\"\$as_me:13546: $lt_compile\"" >&5)
     13501   (eval echo "\"\$as_me:13501: $lt_compile\"" >&5)
    1354713502   (eval "$lt_compile" 2>out/conftest.err)
    1354813503   ac_status=$?
    1354913504   cat out/conftest.err >&5
    13550    echo "$as_me:13550: \$? = $ac_status" >&5
     13505   echo "$as_me:13505: \$? = $ac_status" >&5
    1355113506   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1355213507   then
     
    1511415069   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1511515070   -e 's:$: $lt_compiler_flag:'`
    15116    (eval echo "\"\$as_me:15116: $lt_compile\"" >&5)
     15071   (eval echo "\"\$as_me:15071: $lt_compile\"" >&5)
    1511715072   (eval "$lt_compile" 2>conftest.err)
    1511815073   ac_status=$?
    1511915074   cat conftest.err >&5
    15120    echo "$as_me:15120: \$? = $ac_status" >&5
     15075   echo "$as_me:15075: \$? = $ac_status" >&5
    1512115076   if (exit $ac_status) && test -s "$ac_outfile"; then
    1512215077     # The compiler can only warn and ignore the option if not recognized
     
    1521815173   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1521915174   -e 's:$: $lt_compiler_flag:'`
    15220    (eval echo "\"\$as_me:15220: $lt_compile\"" >&5)
     15175   (eval echo "\"\$as_me:15175: $lt_compile\"" >&5)
    1522115176   (eval "$lt_compile" 2>out/conftest.err)
    1522215177   ac_status=$?
    1522315178   cat out/conftest.err >&5
    15224    echo "$as_me:15224: \$? = $ac_status" >&5
     15179   echo "$as_me:15179: \$? = $ac_status" >&5
    1522515180   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1522615181   then
     
    1742517380   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1742617381   -e 's:$: $lt_compiler_flag:'`
    17427    (eval echo "\"\$as_me:17427: $lt_compile\"" >&5)
     17382   (eval echo "\"\$as_me:17382: $lt_compile\"" >&5)
    1742817383   (eval "$lt_compile" 2>conftest.err)
    1742917384   ac_status=$?
    1743017385   cat conftest.err >&5
    17431    echo "$as_me:17431: \$? = $ac_status" >&5
     17386   echo "$as_me:17386: \$? = $ac_status" >&5
    1743217387   if (exit $ac_status) && test -s "$ac_outfile"; then
    1743317388     # The compiler can only warn and ignore the option if not recognized
     
    1769317648   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1769417649   -e 's:$: $lt_compiler_flag:'`
    17695    (eval echo "\"\$as_me:17695: $lt_compile\"" >&5)
     17650   (eval echo "\"\$as_me:17650: $lt_compile\"" >&5)
    1769617651   (eval "$lt_compile" 2>conftest.err)
    1769717652   ac_status=$?
    1769817653   cat conftest.err >&5
    17699    echo "$as_me:17699: \$? = $ac_status" >&5
     17654   echo "$as_me:17654: \$? = $ac_status" >&5
    1770017655   if (exit $ac_status) && test -s "$ac_outfile"; then
    1770117656     # The compiler can only warn and ignore the option if not recognized
     
    1779717752   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1779817753   -e 's:$: $lt_compiler_flag:'`
    17799    (eval echo "\"\$as_me:17799: $lt_compile\"" >&5)
     17754   (eval echo "\"\$as_me:17754: $lt_compile\"" >&5)
    1780017755   (eval "$lt_compile" 2>out/conftest.err)
    1780117756   ac_status=$?
    1780217757   cat out/conftest.err >&5
    17803    echo "$as_me:17803: \$? = $ac_status" >&5
     17758   echo "$as_me:17758: \$? = $ac_status" >&5
    1780417759   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1780517760   then
     
    2051120466
    2051220467  case $build in
     20468    *x86_64-*)
     20469# Here we need to check if -m32 is specified.  If so, we need to correct sys_lib_search_path_spec
     20470      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     20471        { echo "$as_me:$LINENO: Applying patches to libtool for 32bit compilation" >&5
     20472echo "$as_me: Applying patches to libtool for 32bit compilation" >&6;}
     20473        sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="/lib /usr/lib"|' libtool > conftest.bla
     20474        mv conftest.bla libtool
     20475        chmod 755 libtool
     20476      fi
     20477      ;;
    2051320478    *-cygwin* | *-mingw*)
    2051420479    case "$CXX" in
     
    2052520490            -e 's/$AR t/lib -nologo -list/' \
    2052620491            -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    20527             -e  's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20492            -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20493            -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    2052820494        libtool > conftest.bla
    2052920495
     
    2054320509        ;;
    2054420510    esac
     20511    ;;
     20512    *-darwin*)
     20513      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     20514echo "$as_me: Applying patches to libtool for Darwin" >&6;}
     20515      sed -e 's/verstring="${wl}-compatibility_version ${wl}$minor_current ${wl}-current_version ${wl}$minor_current.$revision"/verstring="-compatibility_version $minor_current -current_version $minor_current.$revision"/' \
     20516      libtool > conftest.bla
     20517
     20518      mv conftest.bla libtool
     20519      chmod 755 libtool
     20520      ;;
    2054520521  esac
    2054620522# This fi matches the commented `if test "x$LIBTOOL" = x;' up at the head of
     
    2082020796# Finally, we let configure write all the output...
    2082120797
    20822 FADDLIBS="$ADDLIBS"
    20823 if test x"$coin_need_flibs" = xyes; then
    20824   ADDLIBS="$ADDLIBS $FLIBS"
    20825 fi
    20826 
    20827 # library extension
    20828 
    20829 case "$CC" in
    20830   cl* | */cl* | CL* | */CL*)
    20831        LIBEXT=lib ;;
    20832     *) LIBEXT=a ;;
    20833 esac
    20834 
    20835 # Define VPATH_DISTCLEANFILES to be everything that needs to be
    20836 # cleaned for distclean in a vpath configuration
    20837 
    20838 VPATH_DISTCLEANFILES="$coin_vpath_link_files"
    20839 
    20840 cat >confcache <<\_ACEOF
     20798if test x$coin_skip_ac_output != xyes; then
     20799
     20800  FADDLIBS="$ADDLIBS"
     20801  if test x"$coin_need_flibs" = xyes; then
     20802    ADDLIBS="$ADDLIBS $FLIBS"
     20803  fi
     20804
     20805  # library extension
     20806
     20807  case "$CC" in
     20808    cl* | */cl* | CL* | */CL*)
     20809         LIBEXT=lib ;;
     20810      *) LIBEXT=a ;;
     20811  esac
     20812
     20813  # Define VPATH_DISTCLEANFILES to be everything that needs to be
     20814  # cleaned for distclean in a vpath configuration
     20815
     20816  VPATH_DISTCLEANFILES="$coin_vpath_link_files"
     20817
     20818  # Take out subdirectories if their configuration concluded that they
     20819  # don't need to be compiled
     20820  if test x"$coin_ac_skip_subdirs" != x; then
     20821    new_subdirs=
     20822    for i in $subdirs; do
     20823      skipme=no
     20824      for j in $coin_ac_skip_subdirs; do
     20825        if test $i = $j; then
     20826          skipme=yes;
     20827        fi
     20828      done
     20829      if test $skipme = no; then
     20830        new_subdirs="$new_subdirs $i"
     20831      fi
     20832    done
     20833    subdirs="$new_subdirs"
     20834  fi
     20835
     20836  cat >confcache <<\_ACEOF
    2084120837# This file is a shell script that caches the results of configure
    2084220838# tests run on this system so they can be shared between configure
     
    2227222268
    2227322269
    22274 if test x"$coin_vpath_link_files" = x; then : ; else
    22275   lnkcmd=
    22276   if test "$enable_doscompile" = yes; then
    22277     lnkcmd=cp
    22278   fi
    22279   case "$CC" in
    22280     cl* | */cl* | CL* | */CL*)
    22281       lnkcmd=cp ;;
    22282   esac
    22283   if test "$lnkcmd" = cp; then
    22284     { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
     22270  if test x"$coin_vpath_link_files" = x; then : ; else
     22271    lnkcmd=
     22272    if test "$enable_doscompile" = yes; then
     22273      lnkcmd=cp
     22274    fi
     22275    case "$CC" in
     22276      cl* | */cl* | CL* | */CL*)
     22277        lnkcmd=cp ;;
     22278    esac
     22279    if test "$lnkcmd" = cp; then
     22280      { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
    2228522281echo "$as_me: Copying data files for VPATH configuration" >&6;}
    22286   else
    22287     echo "$as_me:$LINENO: checking whether ln -s works" >&5
     22282    else
     22283      echo "$as_me:$LINENO: checking whether ln -s works" >&5
    2228822284echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
    2228922285LN_S=$as_ln_s
     
    2229622292fi
    2229722293
    22298     { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     22294      { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    2229922295echo "$as_me: Creating VPATH links for data files" >&6;}
    22300     lnkcmd="$LN_S"
    22301   fi
    22302   for file in $coin_vpath_link_files; do
    22303     dir=`(dirname "./$file") 2>/dev/null ||
     22296      lnkcmd="$LN_S"
     22297    fi
     22298    for file in $coin_vpath_link_files; do
     22299      dir=`(dirname "./$file") 2>/dev/null ||
    2230422300$as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    2230522301         X"./$file" : 'X\(//\)[^/]' \| \
     
    2231322309          /^X\(\/\).*/{ s//\1/; q; }
    2231422310          s/.*/./; q'`
    22315     if test -d $dir; then : ; else
    22316       { if $as_mkdir_p; then
     22311      if test -d $dir; then : ; else
     22312        { if $as_mkdir_p; then
    2231722313    mkdir -p $dir
    2231822314  else
     
    2233922335   { (exit 1); exit 1; }; }; }
    2234022336
    22341     fi
    22342     rm -f $file
    22343     $lnkcmd $abs_source_dir/$file $file
    22344   done
    22345 fi
    22346 
    22347 if test x$coin_projectdir = xyes; then
    22348   { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
     22337      fi
     22338      rm -f $file
     22339      $lnkcmd $abs_source_dir/$file $file
     22340    done
     22341  fi
     22342
     22343  if test x$coin_projectdir = xyes; then
     22344    { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
    2234922345echo "$as_me: Configuration of $PACKAGE_NAME successful" >&6;}
    22350 else
    22351   { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
     22346  else
     22347    { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
    2235222348echo "$as_me: Main configuration of $PACKAGE_NAME successful" >&6;}
    22353 fi
    22354 
     22349  fi
     22350else
     22351  { echo "$as_me:$LINENO: No configuration of $PACKAGE_NAME necessary" >&5
     22352echo "$as_me: No configuration of $PACKAGE_NAME necessary" >&6;}
     22353fi
     22354
     22355
Note: See TracChangeset for help on using the changeset viewer.